Subject: Re: bug#68375: 29.1; lispref documentation fixes

From: Stephen Berman <[email-masked]>
Date: Thu, 11 Jan 2024 17:39:16 +0100

On Thu, 11 Jan 2024 17:33:17 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 11 Jan 2024 16:18:48 +0100
[...]
>> >> I thought I'd save you some work by installing the patch myself,
>> >> which I just did, but unfortunately to master instead of emacs-29
>> >> (and also forgot to add the bug number).  Should I revert it and
>> >> install to the release branch?  Sorry for the trouble.
>> >
>> > You could have simply cherry-picked it to emacs-29.
>>
>> Is it possible to do that with VC?
>
> No, not that I know of.

Pity.

>> I didn't find the term in the source code, only in
>> admin/notes/git-workflow, which only shows the git command (and says
>> to "add 'Backport:' to the commit string", which is another
>> attention block I could well stumble over...).
>
> If you cherry-pick with the -x option, gitmerge.el will recognize the
> cherry-picks automatically, and there's no need for the "backport"
> indication.

Ah, ok.  But then shouldn't that directive be removed from the text,
since the example invocation has the -x option?  Anyway, hopefully I'll
be attentive enough in future to avoid needing to cherry-pick a commit
due to mistakenly installing a change to the wrong branch.

Steve Berman